#ifndef MAINWINDOW 
#define MAINWINDOW 
//--------------------------------------------------------------------- 
#include <Be.h> 
#include "BMemoView.h" 
//--------------------------------------------------------------------- 
#define MAINWINDOW_TITLE            "BTinyEditor" 
#define MAINWINDOW_POSITION_LEFT    100 
#define MAINWINDOW_POSITION_TOP     100 
#define MAINWINDOW_POSITION_WIDTH   600 
#define MAINWINDOW_POSITION_HEIGHT  400 
#define MAINWINDOW_WINDOWSTYLE      (B_DOCUMENT_WINDOW) 
//--------------------------------------------------------------------- 
#define MSG_OPEN    'mopn' 
#define MSG_SAVE    'msav' 
#define MSG_SAVEAS  'msva' 
//--------------------------------------------------------------------- 
class BEditorView : public BView 
{ 
public: 
    BMemoView *memo; 
    BEditorView(BRect frame); 
}; 
//--------------------------------------------------------------------- 
class BEditorWindow : public BWindow 
{ 
private: 
    BEntry *editingfile; 
    BFilePanel *save_filepanel; 
    void SetFileName(BEntry *entry); 
public: 
    BEditorView *mainview; 
    //----------------------------------------------------------------- 
    BEditorWindow(BRect frame,const char *title); 
    ~BEditorWindow(); 
    virtual void MessageReceived(BMessage *msg); 
    void OpenFile(BEntry *entry); 
    void SaveFile(BEntry *entry); 
    //----------------------------------------------------------------- 
    bool QuitRequested() 
    { 
        be_app->PostMessage(B_QUIT_REQUESTED); 
        return true; 
    }; 
}; 
//--------------------------------------------------------------------- 
#endif 